Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 377697 - sys-apps/pcmciautils: should remove dependency on sys-fs/sysfsutils
Summary: sys-apps/pcmciautils: should remove dependency on sys-fs/sysfsutils
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Mobile Herd (OBSOLETE)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 377673
  Show dependency tree
 
Reported: 2011-08-04 10:13 UTC by Anthony Basile
Modified: 2012-11-01 08:08 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for pcmciautils-0.18 (pcmciautils-018.ebuild,1.68 KB, text/plain)
2011-12-31 04:47 UTC, Salah Coronya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Basile gentoo-dev 2011-08-04 10:13:00 UTC
sys-fs/sysfsutils is broken and dead upstream.  Dependency on it needs to be
removed so we can remove it from the tree.
Comment 1 Salah Coronya 2011-12-31 04:47:33 UTC
Created attachment 297431 [details]
ebuild for pcmciautils-0.18

The dependency on libsysfs was removed in pcmciautils-018 (see http://lists.infradead.org/pipermail/linux-pcmcia/2011-April/007751.html).

Unfortunately both the tarballs and git are nowhere to found on kernel.org, likely due to the hack. However I extracted the tarball from a Fedora 16 source rpm. 

Compile verified, run testing limited to running the resulting binary and making sure they don't instantly crash.
Comment 2 Samuli Suominen gentoo-dev 2012-11-01 08:08:48 UTC
Fixed for 018_p8